ubuntu_quota_smoke_test failed with KVM kernel

Bug #1784535 reported by Po-Hsu Lin on 2018-07-31
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-kernel-tests
Undecided
Unassigned
linux-kvm (Ubuntu)
Undecided
Kai-Heng Feng
Xenial
Medium
Unassigned
Bionic
Medium
Unassigned
Cosmic
Medium
Unassigned
Disco
Medium
Unassigned
Eoan
Undecided
Kai-Heng Feng

Bug Description

According to Kamal's comment:
    CONFIG_QUOTA (and various other quota-related-looking configs) appear to be enabled already in the linux-kvm kernels -- but the required modules just end up in the regular linux-modules package (e.g. linux-modules-x.y.z-a.b-kvm)

However even with the linux-modules-x.y.z-a.b-kvm package installed, this test will still fail with KVM kernel.

$ sudo /home/ubuntu/autotest/client/tests/ubuntu_quota_smoke_test/ubuntu_quota_smoke_test.sh

Using block device /dev/loop0 for path /home/ubuntu/mnt
PASSED (quotacheck -vucmg)

quotaon: using /home/ubuntu/mnt/aquota.group on /dev/loop0 [/home/ubuntu/mnt]: No such process
quotaon: Quota format not supported in kernel.
quotaon: using /home/ubuntu/mnt/aquota.user on /dev/loop0 [/home/ubuntu/mnt]: No such process
quotaon: Quota format not supported in kernel.
FAILED (quotaon -v)

Summary: 1 passed, 1 failed

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: linux-image-4.15.0-1016-kvm 4.15.0-1016.16
ProcVersionSignature: User Name 4.15.0-1016.16-kvm 4.15.18
Uname: Linux 4.15.0-1016-kvm x86_64
NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
ApportVersion: 2.20.9-0ubuntu7.2
Architecture: amd64
Date: Tue Jul 31 03:59:45 2018
SourcePackage: linux-kvm
UpgradeStatus: No upgrade log present (probably fresh install)

Po-Hsu Lin (cypressyew) wrote :
Po-Hsu Lin (cypressyew) on 2018-12-04
Changed in ubuntu-kernel-tests:
status: New → Confirmed
Po-Hsu Lin (cypressyew) wrote :

Quota related failure in ubuntu_ltp_syscall, bug 1797325

This also affects linux-kvm for Cosmic, which has the quota modules built in:

$ git grep CONFIG_QUOTA debian.kvm/
debian.kvm/config/config.common.ubuntu:CONFIG_QUOTA=y
debian.kvm/config/config.common.ubuntu:CONFIG_QUOTACTL=y
debian.kvm/config/config.common.ubuntu:CONFIG_QUOTACTL_COMPAT=y
debian.kvm/config/config.common.ubuntu:# CONFIG_QUOTA_DEBUG is not set
debian.kvm/config/config.common.ubuntu:# CONFIG_QUOTA_NETLINK_INTERFACE is not set
debian.kvm/config/config.common.ubuntu:CONFIG_QUOTA_TREE=m

ADT log:
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-cosmic/cosmic/amd64/l/linux-kvm/20190116_115856_432e7@/log.gz

Po-Hsu Lin (cypressyew) on 2019-06-24
tags: added: cosmic ubuntu-quota-smoke-test
tags: added: linux-kvm
Sean Feole (sfeole) on 2019-08-29
tags: added: sru-20190812
Changed in ubuntu-kernel-tests:
assignee: nobody → Kai-Heng Feng (kaihengfeng)
Changed in linux-kvm (Ubuntu):
assignee: nobody → Kai-Heng Feng (kaihengfeng)
Changed in ubuntu-kernel-tests:
assignee: Kai-Heng Feng (kaihengfeng) → nobody
Sean Feole (sfeole) wrote :

disco 5.0.0-1018.19 linux-kvm

09/23 06:04:50 DEBUG| utils:0153| [stdout] Using block device /dev/loop2 for path /home/ubuntu/autotest/client/results/default/ubuntu_quota_smoke_test.quota-smoke-test/mnt
09/23 06:05:04 DEBUG| utils:0153| [stdout] PASSED (quotacheck -vucmg)
09/23 06:05:04 DEBUG| utils:0153| [stdout]
09/23 06:05:04 ERROR| utils:0153| [stderr] quotaon: using /home/ubuntu/autotest/client/results/default/ubuntu_quota_smoke_test.quota-smoke-test/mnt/aquota.group on /dev/loop2 [/home/ubuntu/autotest/client/results/default/ubuntu_quota_smoke_test.quota-smoke-test/mnt]: No such process
09/23 06:05:04 ERROR| utils:0153| [stderr] quotaon: Quota format not supported in kernel.
09/23 06:05:04 ERROR| utils:0153| [stderr] quotaon: using /home/ubuntu/autotest/client/results/default/ubuntu_quota_smoke_test.quota-smoke-test/mnt/aquota.user on /dev/loop2 [/home/ubuntu/autotest/client/results/default/ubuntu_quota_smoke_test.quota-smoke-test/mnt]: No such process
09/23 06:05:04 ERROR| utils:0153| [stderr] quotaon: Quota format not supported in kernel.
09/23 06:05:04 DEBUG| utils:0153| [stdout] FAILED (quotaon -v)

tags: added: disco sru-20190902
removed: cosmic
Stefan Bader (smb) on 2019-09-25
Changed in linux-kvm (Ubuntu Xenial):
importance: Undecided → Medium
Changed in linux-kvm (Ubuntu Bionic):
importance: Undecided → Medium
Changed in linux-kvm (Ubuntu Cosmic):
importance: Undecided → Medium
Changed in linux-kvm (Ubuntu Xenial):
status: New → Triaged
Changed in linux-kvm (Ubuntu Bionic):
status: New → Triaged
Changed in linux-kvm (Ubuntu Cosmic):
status: New → Triaged
status: Triaged → Won't Fix
Changed in linux-kvm (Ubuntu Disco):
importance: Undecided → Medium
status: New → Triaged
Changed in linux-kvm (Ubuntu Disco):
status: Triaged → In Progress
status: In Progress → Fix Committed
Changed in linux-kvm (Ubuntu Bionic):
status: Triaged → Fix Committed
Changed in linux-kvm (Ubuntu Xenial):
status: Triaged → Fix Committed
Po-Hsu Lin (cypressyew) wrote :

Passed with D-KVM 5.0.0-1020.21

Changed in ubuntu-kernel-tests:
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (5.9 KiB)

This bug was fixed in the package linux-kvm - 5.3.0-1003.3

---------------
linux-kvm (5.3.0-1003.3) eoan; urgency=medium

  * eoan/linux-kvm: 5.3.0-1003.3 -proposed tracker (LP: #1847294)

  * Miscellaneous Ubuntu changes
    - [Config] Enable some test modules needed for kernel selftests

  [ Ubuntu: 5.3.0-18.19 ]

  * eoan/linux: 5.3.0-18.19 -proposed tracker (LP: #1847298)
  * Enable the Dragonboards out of Eoan/master arm64 kernel (LP: #1846704)
    - [Packaging] arm64: snapdragon: introduce a snapdragon flavour
    - [Packaging] arm64: snapdragon: switch kernel format to Image
    - [Config] arm64: snapdragon: CONFIG_PINCTRL_MSM8916=y
    - [Config] arm64: snapdragon: CONFIG_PINCTRL_MSM8994=y
    - [Config] arm64: snapdragon: CONFIG_PINCTRL_MSM8996=y
    - [Config] arm64: snapdragon: CONFIG_PINCTRL_MSM8998=y
    - [Config] arm64: snapdragon: CONFIG_REGULATOR_QCOM_RPMH=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_BAM_DMA=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_HIDMA_MGMT=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_HIDMA=y
    - [Config] arm64: snapdragon: CONFIG_COMMON_CLK_QCOM=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_CLK_RPMH=y
    - [Config] arm64: snapdragon: CONFIG_MSM_GCC_8916=y
    - [Config] arm64: snapdragon: CONFIG_MSM_GCC_8994=y
    - [Config] arm64: snapdragon: CONFIG_MSM_MMCC_8996=y
    - [Config] arm64: snapdragon: CONFIG_MSM_GCC_8998=y
    - [Config] arm64: snapdragon: CONFIG_HWSPINLOCK_QCOM=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_APCS_IPC=y
    - [Config] arm64: snapdragon: CONFIG_RPMSG_QCOM_GLINK_RPM=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_GENI_SE=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_SMEM=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_SMD_RPM=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_SMP2P=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_SMSM=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_QFPROM=y
    - [Config] arm64: snapdragon: CONFIG_SERIAL_QCOM_GENI=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_TSENS=y
    - [Config] arm64: snapdragon: CONFIG_REGULATOR_QCOM_SMD_RPM=y
    - [Config] arm64: snapdragon: CONFIG_QCOM_CLK_SMD_RPM=y
    - [Config] arm64: snapdragon: CONFIG_RPMSG_QCOM_SMD=y
    - [Config] arm64: snapdragon: CONFIG_MFD_QCOM_RPM=y
    - [Config] arm64: snapdragon: CONFIG_SCSI_UFSHCD=y
    - [Config] arm64: snapdragon: CONFIG_SCSI_UFSHCD_PLATFORM=y
    - [Config] arm64: snapdragon: CONFIG_SCSI_UFS_HISI=y
    - [Config] arm64: snapdragon: CONFIG_MMC_SDHCI=y
    - [Config] arm64: snapdragon: CONFIG_MMC_SDHCI_PLTFM=y
    - [Config] arm64: snapdragon: CONFIG_MMC_SDHCI_MSM=y
    - [Config] arm64: snapdragon: CONFIG_REGULATOR_QCOM_SPMI=y
    - [Config] arm64: snapdragon: CONFIG_PINCTRL_QCOM_SPMI_PMIC=y
    - [Config] arm64: snapdragon: CONFIG_PHY_QCOM_USB_HS=y
    - [Config] arm64: snapdragon: CONFIG_PHY_QCOM_QMP=y
    - [Config] arm64: snapdragon: CONFIG_PHY_QCOM_UFS=y
    - [Config] arm64: snapdragon: CONFIG_PHY_QCOM_USB_HSIC=y
    - [Config] arm64: snapdragon: CONFIG_USB_CHIPIDEA_OF=y
    - [Config] arm64: snapdragon: CONFIG_USB_EHCI_HCD_PLATFORM=y
    - [Config] arm64: snapdragon: CONFIG_EXTCON_USB_GPIO=y
    - [Config] arm64: snapdragon: CONFIG_REGULATOR_...

Read more...

Changed in linux-kvm (Ubuntu Eoan):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (23.0 KiB)

This bug was fixed in the package linux-kvm - 5.0.0-1020.21

---------------
linux-kvm (5.0.0-1020.21) disco; urgency=medium

  * disco/linux-kvm: 5.0.0-1020.21 -proposed tracker (LP: #1846087)

  * ubuntu_sysdig fails on kvm kernels (LP: #1841956)
    - [Config] linux-kvm: CONFIG_FTRACE=y

  * ubuntu_quota_smoke_test failed with KVM kernel (LP: #1784535)
    - [Config] Enable quota module support

  * please include kernel module CONFIG_NETFILTER_XT_SET (LP: #1843051)
    - [Config] Enable NETFILTER_XT_SET module

  [ Ubuntu: 5.0.0-32.34 ]

  * disco/linux: 5.0.0-32.34 -proposed tracker (LP: #1846097)
  * CVE-2019-14814 // CVE-2019-14815 // CVE-2019-14816
    - mwifiex: Fix three heap overflow at parsing element in cfg80211_ap_settings
  * CVE-2019-15505
    - media: technisat-usb2: break out of loop at end of buffer
  * CVE-2019-2181
    - binder: check for overflow when alloc for security context
  * Support Hi1620 zip hw accelerator (LP: #1845355)
    - [Config] Enable HiSilicon QM/ZIP as modules
    - crypto: hisilicon - add queue management driver for HiSilicon QM module
    - crypto: hisilicon - add hardware SGL support
    - crypto: hisilicon - add HiSilicon ZIP accelerator support
    - crypto: hisilicon - add SRIOV support for ZIP
    - Documentation: Add debugfs doc for hisi_zip
    - crypto: hisilicon - add debugfs for ZIP and QM
    - MAINTAINERS: add maintainer for HiSilicon QM and ZIP controller driver
    - crypto: hisilicon - fix kbuild warnings
    - crypto: hisilicon - add dependency for CRYPTO_DEV_HISI_ZIP
    - crypto: hisilicon - init curr_sgl_dma to fix compile warning
    - crypto: hisilicon - add missing single_release
    - crypto: hisilicon - fix error handle in hisi_zip_create_req_q
    - crypto: hisilicon - Fix warning on printing %p with dma_addr_t
    - crypto: hisilicon - Fix return value check in hisi_zip_acompress()
    - crypto: hisilicon - avoid unused function warning
  * xfrm interface: several kernel panic (LP: #1836261)
    - xfrm interface: fix memory leak on creation
    - xfrm interface: avoid corruption on changelink
    - xfrm interface: ifname may be wrong in logs
    - xfrm interface: fix list corruption for x-netns
    - xfrm interface: fix management of phydev
  * shiftfs: drop entries from cache on unlink (LP: #1841977)
    - SAUCE: shiftfs: fix buggy unlink logic
  * shiftfs: mark kmem_cache as reclaimable (LP: #1842059)
    - SAUCE: shiftfs: mark slab objects SLAB_RECLAIM_ACCOUNT
  * Suspend to RAM(S3) does not wake up for latest megaraid and mpt3sas
    adapters(SAS3.5 onwards) (LP: #1838751)
    - PCI: Restore Resizable BAR size bits correctly for 1MB BARs
  * No sound inputs from the external microphone and headset on a Dell machine
    (LP: #1842265)
    - ALSA: hda - Expand pin_match function to match upcoming new tbls
    - ALSA: hda - Define a fallback_pin_fixup_tbl for alc269 family
  * Add -fcf-protection=none when using retpoline flags (LP: #1843291)
    - SAUCE: kbuild: add -fcf-protection=none when using retpoline flags
  * Disco update: upstream stable patchset 2019-09-25 (LP: #1845390)
    - bridge/mdb: remove wrong use of NLM_F_MULTI
    - cdc_ether: fix rndis support for Med...

Changed in linux-kvm (Ubuntu Disco):
status: Fix Committed → Fix Released
Po-Hsu Lin (cypressyew) on 2019-10-17
Changed in ubuntu-kernel-tests:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (23.7 KiB)

This bug was fixed in the package linux-kvm - 4.15.0-1048.48

---------------
linux-kvm (4.15.0-1048.48) bionic; urgency=medium

  * bionic/linux-kvm: 4.15.0-1048.48 -proposed tracker (LP: #1846115)

  * ubuntu_sysdig fails on kvm kernels (LP: #1841956)
    - [Config] linux-kvm: CONFIG_FTRACE=y

  * ubuntu_quota_smoke_test failed with KVM kernel (LP: #1784535)
    - [Config] Enable quota module support

  * please include kernel module CONFIG_NETFILTER_XT_SET (LP: #1843051)
    - [Config] Enable NETFILTER_XT_SET module

  [ Ubuntu: 4.15.0-66.75 ]

  * bionic/linux: 4.15.0-66.75 -proposed tracker (LP: #1846131)
  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts
  * CVE-2018-21008
    - rsi: add fix for crash during assertions
  * ipv6: fix neighbour resolution with raw socket (LP: #1834465)
    - ipv6: constify rt6_nexthop()
    - ipv6: fix neighbour resolution with raw socket
  * run_netsocktests from net in ubuntu_kernel_selftests failed with X-4.15
    (LP: #1842023)
    - SAUCE: selftests: net: replace AF_MAX with INT_MAX in socket.c
  * No sound inputs from the external microphone and headset on a Dell machine
    (LP: #1842265)
    - ALSA: hda - Expand pin_match function to match upcoming new tbls
    - ALSA: hda - Define a fallback_pin_fixup_tbl for alc269 family
  * Add -fcf-protection=none when using retpoline flags (LP: #1843291)
    - SAUCE: kbuild: add -fcf-protection=none when using retpoline flags
  * Enhanced Hardware Support - Finalize Naming (LP: #1842774)
    - s390: add support for IBM z15 machines
  * Bionic update: upstream stable patchset 2019-09-24 (LP: #1845266)
    - bridge/mdb: remove wrong use of NLM_F_MULTI
    - cdc_ether: fix rndis support for Mediatek based smartphones
    - ipv6: Fix the link time qualifier of 'ping_v6_proc_exit_net()'
    - isdn/capi: check message length in capi_write()
    - net: Fix null de-reference of device refcount
    - net: gso: Fix skb_segment splat when splitting gso_size mangled skb having
      linear-headed frag_list
    - net: phylink: Fix flow control resolution
    - sch_hhf: ensure quantum and hhf_non_hh_weight are non-zero
    - sctp: Fix the link time qualifier of 'sctp_ctrlsock_exit()'
    - sctp: use transport pf_retrans in sctp_do_8_2_transport_strike
    - tcp: fix tcp_ecn_withdraw_cwr() to clear TCP_ECN_QUEUE_CWR
    - tipc: add NULL pointer check before calling kfree_rcu
    - tun: fix use-after-free when register netdev failed
    - btrfs: compression: add helper for type to string conversion
    - btrfs: correctly validate compression type
    - Revert "MIPS: SiByte: Enable swiotlb for SWARM, LittleSur and BigSur"
    - gpiolib: acpi: Add gpiolib_acpi_run_edge_events_on_boot option and blacklist
    - gpio: fix line flag validation in linehandle_create
    - gpio: fix line flag validation in lineevent_create
    - Btrfs: fix assertion failure during fsync and use of stale transaction
    - genirq: Prevent NULL pointer dereference in resend_irqs()
    - KVM: s390: Do not leak kernel stack data in the KVM_S390_INTERRUPT ioctl
    - KVM: x86: work around leak of uninitialized stack contents
    - KVM: nVMX: handle page fault in vmread
    - MIPS...

Changed in linux-kvm (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (15.3 KiB)

This bug was fixed in the package linux-kvm - 4.4.0-1060.67

---------------
linux-kvm (4.4.0-1060.67) xenial; urgency=medium

  * xenial/linux-kvm: 4.4.0-1060.67 -proposed tracker (LP: #1846060)

  * Xenial update: 4.4.190 upstream stable release (LP: #1845038)
    - [config] Update CONFIG_ISCSI_IBFT_FIND option name

  * ubuntu_quota_smoke_test failed with KVM kernel (LP: #1784535)
    - [Config] Enable quota module support

  [ Ubuntu: 4.4.0-166.195 ]

  * xenial/linux: 4.4.0-166.195 -proposed tracker (LP: #1846069)
  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts
  * CVE-2017-18232
    - scsi: libsas: direct call probe and destruct
  * CVE-2018-21008
    - rsi: add fix for crash during assertions
  * Xenial update: 4.4.194 upstream stable release (LP: #1845405)
    - bridge/mdb: remove wrong use of NLM_F_MULTI
    - cdc_ether: fix rndis support for Mediatek based smartphones
    - ipv6: Fix the link time qualifier of 'ping_v6_proc_exit_net()'
    - isdn/capi: check message length in capi_write()
    - net: Fix null de-reference of device refcount
    - sch_hhf: ensure quantum and hhf_non_hh_weight are non-zero
    - sctp: Fix the link time qualifier of 'sctp_ctrlsock_exit()'
    - sctp: use transport pf_retrans in sctp_do_8_2_transport_strike
    - tcp: fix tcp_ecn_withdraw_cwr() to clear TCP_ECN_QUEUE_CWR
    - tipc: add NULL pointer check before calling kfree_rcu
    - tun: fix use-after-free when register netdev failed
    - Revert "MIPS: SiByte: Enable swiotlb for SWARM, LittleSur and BigSur"
    - Btrfs: fix assertion failure during fsync and use of stale transaction
    - genirq: Prevent NULL pointer dereference in resend_irqs()
    - KVM: s390: Do not leak kernel stack data in the KVM_S390_INTERRUPT ioctl
    - KVM: x86: work around leak of uninitialized stack contents
    - KVM: nVMX: handle page fault in vmread
    - MIPS: VDSO: Prevent use of smp_processor_id()
    - MIPS: VDSO: Use same -m%-float cflag as the kernel proper
    - clk: rockchip: Don't yell about bad mmc phases when getting
    - driver core: Fix use-after-free and double free on glue directory
    - crypto: talitos - check AES key size
    - crypto: talitos - check data blocksize in ablkcipher.
    - x86/build: Add -Wnoaddress-of-packed-member to REALMODE_CFLAGS, to silence
      GCC9 build warning
    - MIPS: netlogic: xlr: Remove erroneous check in nlm_fmn_send()
    - ARC: configs: Remove CONFIG_INITRAMFS_SOURCE from defconfigs
    - USB: usbcore: Fix slab-out-of-bounds bug during device reset
    - media: tm6000: double free if usb disconnect while streaming
    - x86/boot: Add missing bootparam that breaks boot on some platforms
    - xen-netfront: do not assume sk_buff_head list is empty in error handling
    - serial: sprd: correct the wrong sequence of arguments
    - tty/serial: atmel: reschedule TX after RX was started
    - mwifiex: Fix three heap overflow at parsing element in cfg80211_ap_settings
    - s390/bpf: fix lcgr instruction encoding
    - ARM: OMAP2+: Fix omap4 errata warning on other SoCs
    - s390/bpf: use 32-bit index for tail calls
    - NFSv4: Fix return values for nfs4_file_open()
    - NFS: Fix initialisati...

Changed in linux-kvm (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers